Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface ISettingStore

All Known Subinterfaces:
  SettingStore

All Known Implementing Classes:
  FileSettingStore

Deprecated. Use `SettingStore` instead.

    @Deprecated
    public interface ISettingStore

Since:
  2.0

Method Summary
`void` `addSettingStoreListener(SettingStoreListener listener)` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`java.lang.String` `getAttribute(java.lang.String name)` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`java.util.Enumeration` `getAttributeNames()` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`java.lang.String` `getId()` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`void` `loadById(java.lang.String id)` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`void` `removeAttribute(java.lang.String name)` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`void` `removeSettingStoreListener(SettingStoreListener listener)` Deprecated. Use `SettingStore` instead of `ISettingStore`.
`void` `setAttribute(java.lang.String name, java.lang.String value)` Deprecated. Use `SettingStore` instead of `ISettingStore`.

Method Detail

### getAttribute

    @Deprecated
    java.lang.String getAttribute(java.lang.String name)

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

### getAttributeNames

    @Deprecated
    java.util.Enumeration getAttributeNames()

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

### setAttribute

    @Deprecated
    void setAttribute(java.lang.String name,
                                 java.lang.String value)
                      throws java.io.IOException

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

  Throws:
    `java.io.IOException`

### removeAttribute

    @Deprecated
    void removeAttribute(java.lang.String name)
                         throws java.io.IOException

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

  Throws:
    `java.io.IOException`

### loadById

    @Deprecated
    void loadById(java.lang.String id)
                  throws java.io.IOException

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

  Throws:
    `java.io.IOException`

### getId

    @Deprecated
    java.lang.String getId()

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

### addSettingStoreListener

    @Deprecated
    void addSettingStoreListener(SettingStoreListener listener)

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

### removeSettingStoreListener

    @Deprecated
    void removeSettingStoreListener(SettingStoreListener listener)

  Deprecated. Use `SettingStore` instead of `ISettingStore`.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0